WorkerConfiguration (Gradle API 5.6.1)
Date: 2019-09-03

Package org.gradle.workers

## Interface WorkerConfiguration

- All Superinterfaces:
    `ActionConfiguration`, `Describable`, `ForkingWorkerSpec`, `WorkerSpec`

      public interface WorkerConfiguration
      extends ActionConfiguration, ForkingWorkerSpec, Describable

  Represents the configuration of a worker. Used when submitting an item of work to the `WorkerExecutor`.

            workerExecutor.submit(RunnableWorkImpl.class) { WorkerConfiguration conf ->
                conf.isolationMode = IsolationMode.PROCESS

                forkOptions { JavaForkOptions options ->
                    options.maxHeapSize = "512m"
                    options.systemProperty 'some.prop', 'value'
                    options.jvmArgs "-server"
                }

                classpath configurations.fooLibrary

                conf.params = [ "foo", file('bar') ]
            }

  Since:
    3.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `classpath​(Iterable<File> files)` | Adds a set of files to the classpath associated with the worker.
    `Iterable<File>` | `getClasspath()` | Gets the classpath associated with the worker.
    `ForkMode` | `getForkMode()` | Deprecated.
    `IsolationMode` | `getIsolationMode()` | Gets the isolation mode for this worker, see `IsolationMode`.
    `void` | `setClasspath​(Iterable<File> files)` | Sets the classpath associated with the worker.
    `void` | `setDisplayName​(String displayName)` | Sets the name to use when displaying this item of work.
    `void` | `setForkMode​(ForkMode forkMode)` | Deprecated.
    `void` | `setIsolationMode​(IsolationMode isolationMode)` | Sets the isolation mode for this worker, see `IsolationMode`.

    - ### Methods inherited from interface org.gradle.api.ActionConfiguration

      `getParams, params, setParams`

    - ### Methods inherited from interface org.gradle.api.Describable

      `getDisplayName`

    - ### Methods inherited from interface org.gradle.workers.ForkingWorkerSpec

      `forkOptions, getForkOptions`

- - ### Method Detail

    - #### getIsolationMode

          IsolationMode getIsolationMode()

      Gets the isolation mode for this worker, see `IsolationMode`.
      Returns:
        the isolation mode for this worker, see `IsolationMode`, defaults to `IsolationMode.AUTO`
      Since:
        4.0

    - #### setIsolationMode

          void setIsolationMode​(IsolationMode isolationMode)

      Sets the isolation mode for this worker, see `IsolationMode`.
      Parameters:
        `isolationMode` - the forking mode for this worker, see `IsolationMode`
      Since:
        4.0

    - #### classpath

          void classpath​(Iterable<File> files)

      Adds a set of files to the classpath associated with the worker.
      Parameters:
        `files` - - the files to add to the classpath

    - #### setClasspath

          void setClasspath​(Iterable<File> files)

      Sets the classpath associated with the worker.
      Parameters:
        `files` - - the files to set the classpath to

    - #### getClasspath

          Iterable<File> getClasspath()

      Gets the classpath associated with the worker.
      Returns:
        the classpath associated with the worker

    - #### getForkMode

          @Deprecated
          ForkMode getForkMode()

      Deprecated.
      Gets the forking mode for this worker, see `ForkMode`.
      Returns:
        the forking mode for this worker, see `ForkMode`, defaults to `ForkMode.AUTO`

    - #### setForkMode

          @Deprecated
          void setForkMode​(ForkMode forkMode)

      Deprecated.
      Sets the forking mode for this worker, see `ForkMode`.
      Parameters:
        `forkMode` - the forking mode for this worker, see `ForkMode`

    - #### setDisplayName

          void setDisplayName​(String displayName)

      Sets the name to use when displaying this item of work.
      Parameters:
        `displayName` - the name of this item of work